﻿function spacer(link) {
  var parentobj = link;
  while (!(parentobj instanceof Document)) {
    parentobj = parentobj.parent;
    if (parentobj instanceof Character) break;
  }
  if (parentobj instanceof Character) {
    var story = parentobj.parentStory;
    // postfix
    if (story.characters[parentobj.index + 1].contents == "\t" || story.characters[parentobj.index + 1].contents == "\n" ||
         story.characters[parentobj.index -+1].contents == "\r" || story.characters[parentobj.index + 1].contents == " " || story.characters[parentobj.index + 1].contents == SpecialCharacters.sixthSpace) { // なにもしない
    } else {
      story.characters[parentobj.index].insertionPoints[-1].contents = SpecialCharacters.sixthSpace; // 1/6スペース
    }

    // prefix
    if (story.characters[parentobj.index - 1].contents == "\t" || story.characters[parentobj.index - 1].contents == "\n" ||
         story.characters[parentobj.index - 1].contents == "\r" || story.characters[parentobj.index - 1].contents == " " || story.characters[parentobj.index - 1].contents == SpecialCharacters.sixthSpace) { // なにもしない
    } else {
      story.characters[parentobj.index - 1].insertionPoints[-1].contents = SpecialCharacters.sixthSpace; // 1/6スペース
    }
  }
}

var myDocument = app.activeDocument;
var links = myDocument.links;
for (var i = 0; i < links.length; i++) {
  if (links[i].name.match(/\.pdf/)) {
    spacer(links[i]);
  }
}
